package hay.app;

import hay.tab.HaySearch;
import hay.tab.ListCallLog;
import hay.tab.ListFew;
import hay.tab.ListMany;
import android.app.AlertDialog;
import android.app.TabActivity;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Color;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.Window;
import android.widget.TabHost;
import android.widget.TabWidget;

public class HayMain extends TabActivity{

	byte select;
	public static byte isrecieve;
	public static byte is3g;
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		
		final TabHost tabHost = getTabHost();

		tabHost.addTab(tabHost.newTabSpec("1").setIndicator("ֱ ", getResources().getDrawable(R.drawable.tab_latest))
				.setContent(new Intent(this,ListCallLog.class)));

		tabHost.addTab(tabHost.newTabSpec("2").setIndicator(" ", getResources().getDrawable(R.drawable.tab_frequent))
				.setContent(new Intent(this, ListMany.class)));

		tabHost.addTab(tabHost.newTabSpec("3").setIndicator(" ", getResources().getDrawable(R.drawable.tab_infrequent))
				.setContent(new Intent(this, ListFew.class)));

		tabHost.addTab(tabHost.newTabSpec("4").setIndicator("ּҷ ˻", getResources().getDrawable(R.drawable.tab_search))
				.setContent(new Intent(this, HaySearch.class)));

		//
		SharedPreferences pref = getSharedPreferences("prefa",0);;
		String temp = pref.getString("myname","");
		if(temp.compareTo("")==0){
			Intent intent = new Intent(this,HaySetting.class);
			intent.putExtra("first", true);
			startActivity(intent);
		}
		else{
			tabHost.setCurrentTab(pref.getInt("tab", 3));
		}

	}

	public void finish() {
		super.finish();
		//  
		SharedPreferences pref = getSharedPreferences("prefa",0);;
		SharedPreferences.Editor edit = pref.edit();
		final TabHost tabHost = getTabHost();
		edit.putInt("tab", tabHost.getCurrentTab());
		edit.commit();
	}

	private static final int Setting_ID = 1;
	private static final int Exchange_ID = 2;
	private static final int Add_ID = 3;
	private static final int Exit_ID = 4;
	private static final int Anniversary_ID = 5;

	public boolean onCreateOptionsMenu(Menu menu) {
		menu.add(0, Setting_ID, 0, "").setIcon(R.drawable.setting);
		menu.add(0, Exchange_ID, 0, "ּҷϱȯ").setIcon(R.drawable.exchange);
		menu.add(0, Add_ID, 0, "ּҷ߰").setIcon(R.drawable.add);
		menu.add(0, Anniversary_ID, 0, "Ϻ").setIcon(R.drawable.anniversary);
		menu.add(0, Exit_ID, 0, "").setIcon(R.drawable.exit);

		return super.onCreateOptionsMenu(menu);
	}

	public boolean onPrepareOptionsMenu(Menu menu) {
		return super.onPrepareOptionsMenu(menu);
	}

	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case Setting_ID:
			Intent i = new Intent(this, HaySetting.class);
			i.putExtra("first", false);
			startActivity(i);
			return true;
		case Exchange_ID:
			new AlertDialog.Builder(this).setTitle("what dou you want?").setIcon(
					R.drawable.icon).setItems(new String[] { "ϱ", "ϱ" },
							new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {
							switch (which) {
							case 0:// ۺκ
								Intent i = new Intent(HayMain.this,HayExchange.class);
								i.putExtra("type", 0);
								startActivity(i);

								break;
							case 1: // źκ
								Intent i2 = new Intent(HayMain.this,HayExchange.class);
								i2.putExtra("type", 1);
								startActivity(i2);
								break;

							}
						}
					}).setNegativeButton("", null).show();

			return true;
		case Add_ID:
			Intent intent = new Intent(Intent.ACTION_INSERT,ContactsContract.Contacts.CONTENT_URI); 
			startActivity(Intent.createChooser(intent, "Select Contact"));
			return true;
		case Exit_ID:
			finish();
			return true;
		case Anniversary_ID:
			startActivity(new Intent(this, HayAnniversaryActivity.class));
			return true;
		default:
			return super.onOptionsItemSelected(item);
		}
	}
}