package hay.app;

import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.Calendar;
import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.ContentValues;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.provider.MediaStore;
import android.provider.ContactsContract.PhoneLookup;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.Toast;
import android.widget.TextView;

public class HaySmsDetail extends ListActivity {

	private static ArrayList<Sms> cateList;
	private static ListAdapter cAdapter;
	EditText body;
	TextView txt; 
	ImageButton send;
	ImageView name;
	String number = null; // ȭȣ
	String sms_body = null; // ڳ
	String contact_name = null; // callog Ѿ ̸
	String contact_number = null; // callog Ѿ ȣ
	int size=80;
	int max_size=80;
	boolean flag=true;
	String path;
	Uri imgpath;
	String id;
	int _id;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.sms_detail);
		
		cateList = new ArrayList<Sms>();
		cAdapter = new ListAdapter(cateList);
		setListAdapter(cAdapter);
	}

	protected void onPause() {
		super.onPause();
		
	}


	protected void onResume() {
		super.onResume();
		cateList.clear();
		
		Bundle data = this.getIntent().getExtras();
		//  callog ޹͵
		contact_number = data.getString("contact_number");
		contact_number = contact_number.replaceAll("-", "");
		try{
			Cursor c = getContentResolver().query(Uri.withAppendedPath(	PhoneLookup.CONTENT_FILTER_URI, Uri
					.encode(contact_number )),new String[] { PhoneLookup.DISPLAY_NAME},null,	null, null);

			while (c.moveToNext()) {
				contact_name = c.getString(c.getColumnIndexOrThrow(PhoneLookup.DISPLAY_NAME));
			}
		}catch(Exception e){
			contact_name=null;
		}

		getWindow().setTitle(contact_name+" - "+contact_number);

		// Ÿ޽κ
		Cursor cursor = null;
		cursor = getContentResolver().query(Uri.parse("content://sms/"),
				null, null, null, null);
		if(cursor.moveToLast()){
			do {
				number = cursor
				.getString(cursor.getColumnIndexOrThrow("address"));


				// ش ȭȣ callog Ѿ ȭȣ ġϸ Ʈ ü
				if (number.compareTo(contact_number) == 0) {

					// ּ , ð 

					_id = cursor.getInt(cursor.getColumnIndex("_id"));
					int type = cursor.getInt(cursor.getColumnIndexOrThrow("type"));
					Long date = cursor.getLong(cursor
							.getColumnIndexOrThrow("date"));
					Calendar calendar = Calendar.getInstance();
					calendar.setTimeInMillis(date);
					String time = null;
					time = calendar.get(Calendar.YEAR) + ""
					+ (calendar.get(Calendar.MONTH) + 1) + ""
					+ calendar.get(Calendar.DATE) + " "
					+ calendar.get(Calendar.HOUR) + ""
					+ calendar.get(Calendar.MINUTE) + ""
					+ calendar.get(Calendar.SECOND) + "";
					sms_body = cursor.getString(cursor
							.getColumnIndexOrThrow("body"));

					Sms sms_log = new Sms();
					sms_log.setName(contact_name);
					sms_log.setNumber(contact_number);
					if(type==1)
						sms_log.setBody(contact_name + "\n(" + time + ")\n" + sms_body);
					else 
						sms_log.setBody("\n( " + time + ")\n" + sms_body);	
					sms_log.setTime2(date);
					sms_log.setType(type);
					sms_log.setId(_id);
					cateList.add(sms_log);
				}

			}while(cursor.moveToPrevious());
		}

		// editbox ȭ
		TextWatcher watcher = new TextWatcher() {

			public void onTextChanged(CharSequence s,
					int start, int before, int count) {

				int length=0;
				try {
					length= body.getText().toString().getBytes("EUC-KR").length;
				} catch (UnsupportedEncodingException e) {
					e.printStackTrace();
				}
				size=length;
				if(size>80){

					txt.setTextColor( getResources().getColor(R.color.red));
					txt.setText("mms"+"/"+Integer.toString(max_size));

				}
				else{
					txt.setTextColor(getResources().getColor(R.color.black));
					txt.setText(Integer.toString(size)+"/"+Integer.toString(max_size));

				}
			}

			public void beforeTextChanged(
					CharSequence s, int start,
					int count, int after) {
			}

			public void afterTextChanged(Editable s) {


			}
		};

		send = (ImageButton) findViewById(R.sms_detail.Button);
		body = (EditText) findViewById(R.sms_detail.EditText);
		txt = (TextView) findViewById(R.sms_detail.TextView);
		txt.setText(Integer.toString(size)+"/"+Integer.toString(max_size));
		body.addTextChangedListener(watcher);
		//ư۵
		send.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				//SMS 

				int length=0;
				try {
					length= body.getText().toString().getBytes("EUC-KR").length;
				} catch (UnsupportedEncodingException e) {
					e.printStackTrace();
				}

				if(length==0)
					Toast.makeText(HaySmsDetail.this, "ؽƮԷµ ʾҽϴ", 0).show();

				else{
					String mesg = body.getText().toString();	//sms
					sendSms(mesg);
				}
				flag=true;



			}

		});
		
		cAdapter.notifyDataSetChanged();
		//cAdapter.notifyDataSetInvalidated();
	}

	public void sendSms(String mesg){
		Intent i2 = new Intent(HaySmsDetail.this,HaySms.class);
		i2.putExtra("sms_des",contact_number);
		i2.putExtra("sms_body", mesg);

		body.setText("");

		//   DB 	
		long date =Calendar.getInstance().getTimeInMillis();
		ContentValues val = new ContentValues();
		val.put("address",contact_number);
		val.put("date",date );
		val.put("read", 1);
		val.put("status",-1);
		val.put("type",2);
		val.put("body",mesg);

		getContentResolver().insert(Uri.parse("content://sms/"), val);

		Sms sms_log = new Sms();
		sms_log.setName(contact_name);
		sms_log.setNumber(contact_number);
		sms_log.setBody("\n" + mesg);
		sms_log.setType(2);
		Calendar calendar = Calendar.getInstance();
		calendar.setTimeInMillis(date);
		String time = null;
		time = calendar.get(Calendar.YEAR) + ""
		+ (calendar.get(Calendar.MONTH) + 1) + ""
		+ calendar.get(Calendar.DATE) + " "
		+ calendar.get(Calendar.HOUR) + ""
		+ calendar.get(Calendar.MINUTE) + ""
		+ calendar.get(Calendar.SECOND) + "";
		sms_log.setTime2(date);
		
		startActivity(i2);
	}

	protected void onListItemClick(ListView l, View v, final int position,long id) {
		super.onListItemClick(l, v, position, id);
		String[] selectString;
		selectString = new String []{"ϱ", "ϱ "};
		new AlertDialog.Builder(this).setTitle("ϼ").setIcon(
				R.drawable.icon).setItems(selectString,
						new DialogInterface.OnClickListener() {
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
						case 0:// ȭκ
							getContentResolver().delete(Uri.parse("content://sms/"+cateList.get(position).getId()),null,null );
							cateList.remove(position);
							cAdapter.notifyDataSetInvalidated();
							cAdapter.notifyDataSetChanged();
							// getContentResolver().delete(ContactsContract.Data.CONTENT_URI,ContactsContract.Data.CONTACT_ID + " = " +contactId+ " AND "+ ContactsContract.CommonDataKinds.Phone.NUMBER  ,null);
							break;
						case 1: // ںκ
							sendSms(cateList.get(position).getBody());
							break;
						}	
					}
				}).setNegativeButton("", null).show();
	}


	protected void onActivityResult (int requestCode , int resultCode , Intent data){
		switch (requestCode){
		case 1000:
			name = (ImageView)findViewById(R.sms_detail.ImageView01);	  
			if(resultCode == RESULT_OK){
				/// ̹÷ν
				try{
					imgpath= data.getData();
					Cursor img_cursor = getContentResolver().query(imgpath, null, null, null, null);
					img_cursor.moveToNext();					 
					path = img_cursor.getString(img_cursor.getColumnIndex(MediaStore.MediaColumns.DATA));
					BitmapFactory.Options bo = new BitmapFactory.Options();
					bo.inSampleSize = 8;
					Bitmap bmp = BitmapFactory.decodeFile(path, bo);
					Bitmap resized = Bitmap.createScaledBitmap(bmp, 95, 95, true);
					name.setImageBitmap(resized);
				}
				catch(Exception e){
					name.setImageBitmap(null);	
				}
				flag=false;	 
			}	  
			else if(resultCode == RESULT_CANCELED){		
				name.setImageBitmap(null);	
				flag=true;
			}
			break;
		case 2000:
			name.setImageBitmap(null);	
			flag=true;
			body.setText("");

		}

	}

	private class ListAdapter extends ArrayAdapter<Sms> {

		private ArrayList<Sms> items;

		public ListAdapter(ArrayList<Sms> items) {
			super(HaySmsDetail.this, 0, items);
			this.items = items;
		}

		public View getView(int position, View convertView, ViewGroup parent) {
			View v = convertView;

			if (v == null) {
				LayoutInflater vi = (LayoutInflater) getSystemService(Context.LAYOUT_INFLATER_SERVICE);
				v = vi.inflate(R.layout.list_sms, null);
			}

			Sms sms = items.get(position);

			if (sms != null) {

				TextView name = (TextView) v.findViewById(R.list_sms.TextView);
				TextView name2 = (TextView) v.findViewById(R.list_sms.TextView2);
				//Ź߽Ÿ޽
				if(sms.getType()==2){
					name.setVisibility(TextView.VISIBLE);
					name.setBackgroundResource(R.drawable.sms_blue);
					name.setGravity(Gravity.LEFT);
					name.setText(sms.getBody());
					name2.setVisibility(TextView.GONE);

				}
				else{
					name2.setVisibility(TextView.VISIBLE);
					name2.setBackgroundResource(R.drawable.sms_orange);
					name2.setGravity(Gravity.LEFT);
					name2.setText(sms.getBody());
					name.setVisibility(TextView.GONE);

				}
			}
			return v;
		}
	}


	private class Sms {
		String name;
		String time;
		String number;
		long time2;
		String body;
		int id;
		public int getId() {
			return id;
		}

		public void setId(int id) {
			this.id = id;
		}

		int type;

		public String getName() {
			return name;
		}

		public int getType() {
			return type;
		}

		public void setType(int type) {
			this.type = type;
		}

		public long getTime2() {
			return time2;
		}

		public void setBody(String body) {
			this.body = body;
		}

		public void setTime2(long time2) {
			this.time2 = time2;
		}

		public void setName(String name) {
			this.name = name;
		}

		public String getNumber() {
			return number;
		}

		public void setNumber(String number) {
			this.number = number;
		}

		public String getBody() {
			return body;
		}

		public void setScore(String body) {
			this.body = body;
		}
	}
}
